## Graphics examples make file

# If TARGETNAME is defined only that target will be build, otherwise all graphics examples will be build
!ifndef TARGETNAME
all: all_graphics
!else
all: one_graphic
!endif

# Target platform
WIN32=1

# Global definitions
!include ..\resource.mak

# Main target: build all examples
all_graphics : 
    build compound
    build draw
    build fly
    build item
    build items
    build oval
    build rubber

# How to build just one example:
one_graphic: $(CONFIG) $(TARGETNAME).exe

# How to do cleanup
clean: $(RM)
    $(RM) *.exe
    $(RM) *.obj
    $(RM) *.cfg
    $(RM) *.out
    del $(RM)

cleanconfig: $(RM)
    $(RM) *.cfg

# Compiling and linking flags:
$(CONFIG):
    copy &&|
        -n$(OBJDIR) -I$(INCLUDES)
        -D$(DEFINES) $(CCFLAGS) 
| $(CONFIG) > nul

# If TARGETNAME has been defined, this will tell how to build the executable.

!ifdef TARGETNAME

$(TARGETNAME).exe: $(TARGETNAME).obj
    $(LINK) @&&|
$(LNFLAGS) $(TARGETNAME).obj 
$@
-x
$(LNLIBS)
|, &&|
EXETYPE WINDOWS
CODE PRELOAD MOVEABLE DISCARDABLE
DATA PRELOAD MOVEABLE MULTIPLE
|,  $(LIBDIR)\hush.res

!endif

#Implicit rules:
.c.obj:
    $(CC) { $< }
