## Resource definitions for rebuilding the Hush Library

# This makefile helps to build the Hush library. It includes several macros and tool definitions, and sets specific marcros for building the library.

!include ..\resource.mak	
!include ..\general.mak		

HUSHSRC   = $(API)
MSHUSH    = .

HUSHLIBSOURCEDIRS = $(HUSHSRC)\hush;$(HUSHSRC)\widgets;$(HUSHSRC)\dv\tcl;$(HUSHSRC)\dv\tk;$(HUSHSRC)\dv\src
HUSHLIBINCLUDES   = $(TOOLS)\include;$(HUSH)\include;$(HUSHLIBSOURCEDIRS);$(MSHUSH);$(TCLTK)\include;
LIBDIRS           = $(LIBDIR);$(TOOLS)\lib;$(TCLTK)\lib

.path.rc  = $(MSHUSH)
.path.c   = $(HUSHLIBSOURCEDIRS)
.path.cpp = $(MSHUSH)



