#ifdef tcldebug
    #undef tcldebug
#endif  // tcldebug

#ifdef nodebug
    #define tcldebug(s) {}
    #define tcldebug1(s) {}
#else   // not nodebug
    #include "debug.h"
    #include <strstrea.h>
    void WriteDebugStr(const char*);
    #define tcldebug(s)             \
    {                               \
        strstream strm;             \
        strm << s << '\0' ;         \
        WriteDebugStr(strm.str());  \
    }
    #define tcldebug1(s)            \
    {                               \
        strstream strm;             \
        strm << __FILE__ << ":"<<   \
            __LINE__<<" "<<s<<'\0'; \
        WriteDebugStr(strm.str());  \
    }

#endif   // nodebug
