
// compiler flags
//	Demo of "interesting" compiler defined flags.
//	Compile this with cc/CC/gcc/g++/etc
//	and check the output..
// Additonal information obtained from:
// richard@ihgp.ih.att.com --  Richard A. Rausch AT&T Bell Laboratories



	

#include<stdio.h>

int hush_test_compiler_flags() {

#ifdef __GNUC__
#if __GNUC__ < 2 || (__GNUC__ == 2 && __GNUC_MINOR__ <= 7)
	printf("This version (=< 2.7.X) does not like handler::handler()\n");
	printf("%d.%d\n", __GNUC__,  __GNUC_MINOR__);
#else
	printf("I hope this version (> 2.7.X) does like handler::handler()\n");
	printf("%d.%d\n", __GNUC__,  __GNUC_MINOR__);
#endif
#endif

#ifdef __GNUG__
	printf("-D__GNUG__ (This is GNU C++)\n");
#endif

#ifdef __VERSION__
	printf("-D__VERSION__=%s\n", __VERSION__);
#endif

#ifdef __STDC__
	printf("-D__STDC__ (This is an ANSI Standard C compiler)\n");
#endif

#ifdef __cplusplus
	printf("-D__cplusplus (obsolete)\n");
#endif

#ifdef __BUILTIN_VA_ARG_INCR
	printf("-D__BUILTIN_VA_ARG_INCR\n");
#endif

#ifdef __GCC_NEW_VARARGS__
	printf("-D__GCC_NEW_VARARGS__\n");
#endif

#ifdef __i386
	printf("-D__i386\n");
#endif

#ifdef __sparc
	printf("-D__sparc\n");
#endif

#ifdef __SUNPRO_CC
	printf("-D__SUNPRO_CC=0x%0x\n",__SUNPRO_CC);
#endif

#ifdef __SVR4
	printf("-D__SVR4\n");
#endif

#ifdef __unix
	printf("-D__unix\n");
#endif

#ifdef sparc
	printf("-Dsparc\n");
#endif

#ifdef sun
	printf("-Dsun\n");
#endif

#ifdef unix
	printf("-Dunix\n");
#endif
return 0;
}
