#include <hush/hush.h>
#include <hush/ok.h>
#include <hush/string.h>


class application_handler : public handler {
int n;
public:
	application_handler() { n = 0; }
	int operator()();

	void red() { cout << " red " << n++; }
	void blue() { cout << " blue " << n++; }
	void green() { cout << " green " << n++; }
};


int application_handler::operator()() {
        
	string args = _event; // event comes from dispatch

	cout << "ARGS: " << args << endl;

	iter<string> it = args; // iterator by assignment
	string* sp = 0;
	while ( sp = it() ) {
		string s = *sp;  
		if ( s == "red" ) red();
		else if ( s == "blue" ) blue();
		else if ( s == "green" ) green();
		else cout << " *no such color*";
		}
        cout << endl;
	return OK;
}

class application : public session {
public:                                      // 0 -> dont map window
application(int argc, char** argv) : session(argc,argv,0) {}
                                                   // ^^^
int main() {
application_handler app;
tk->bind("do-something",&app);
tk->eval("do-something red green orange blue");
tk->quit();
return OK;
}

};

int main (int  argc, char  **argv) {
    session* s = new application(argc,argv); 
    return s->run();
}
