#include <hush/action.h>
#include <iostream.h>
#include <string.h>

#include <dv/tcl/action.h>

static action dummy_action;

action::action() { }
action::action(action* x) : _body(x) {}

action::~action() {}

action::action(kit* tk_, const char* name, int mode , void* info) {
    switch(mode) {
     case kit::tcl: _body = new tcl_action(tk_,name); break;
     default:
        cerr << "ERROR: action (" << mode << ") not defined" << endl;  
	break;
     };
}

char* action::name() const  { return _body?name():0; }

	     




