#ifndef _TCL_EVENT_H
#define _TCL_EVENT_H

#include <hush/hush.h>

typedef int hushcommand(void* data, kit*, int, char**);

extern int handler_callback(void* data, kit*, int, char**);
extern void timer_callback( void* data );

struct tcl_callback {
tcl_callback();
tcl_callback(kit* _tk, void* _proc, void* _data = 0);
kit* tk;
void* proc;
void* data;
};

class tcl__event : public event {
public:
tcl__event(class kit* _tk, int _argc, char* _argv[]);
~tcl__event();
int eventclass() const;
int argc() const;
char* arg(int i = 0 ) const;
char** argv(int i = 0) const;
event* get() const;
private:
int __argc;
char** __argv;
};

#endif
