#ifndef _FILE_EVENT
#define _FILE_EVENT

#include <hush/hush.h>

extern int file_handler_callback(void* data , int mask);

struct file_callback { 
file_callback(handler* h_, int fd_);
handler *filehandler;
int fd;
};


class file__event : public event {
public:
file__event(class kit* _tk,int _fd, int _mask,
			  int _argc, char* _argv[]);
~file__event();
int eventclass() const;
int argc() const;
char* arg(int i = 0 ) const;
char** argv(int i = 0) const;
int fd() const;
int mask() const;
event* get() const;
private:
int __fd;
int __mask;
int __argc;
char** __argv;
};

#endif
