#ifndef _TCLSTRING_H
#define _TCLSTRING_H

#include <iostream.h>

class tclstring {
public:

tclstring();
tclstring(const char* s);
tclstring(const tclstring& a);

~tclstring();

tclstring* operator->() { return this; }

tclstring& operator=( char* s );

tclstring& operator=( tclstring& a );

tclstring& start();
tclstring& end();

tclstring& trunc(int n);

tclstring& concat( const char* s);

tclstring& concat( const tclstring& a );

tclstring& append( const char* s );

tclstring& append( const tclstring& a );

int length() const;

char* value() const;

int match(const char* s) const;
	
int regmatch(const char* s) const;

char* tilde() const;

char* lindex(int n) const;
char* lindex(char* id) const;

int llength() const ;

operator char*() const { return value(); }

private:
void init();
void* rep;
kit* tk;
};

inline ostream& operator<<(ostream& os, const tclstring& str)
{
    os << (char*) str;
    return os;
}


#endif
