#ifndef SAFE_H
#define SAFE_H

#include <dv/flags.h>

#ifdef MULTINTERP
extern "C" int  Tcl_InterpInit( void* );
extern "C" int  Test_Init( void* );
#endif

inline void init_safe(kit* tk) {
#ifdef MULTINTERP
	Tcl_InterpInit(tk->interp());
	Test_Init(tk->interp());
	tk->source("$hush_library/safe/interp.tcl");
#endif
	}

#endif
