// system.h -- (api/hush/system.c)


#ifndef _EV_SYSTEM_H
#define _EV_SYSTEM_H

#include <hush/event.h>

class system_event {
public:
	system_event(const event* e);
	~system_event();
	virtual int eventclass() const;
	virtual char* info() const;
protected:
	virtual int check() const;
	virtual void error(const char*s) const;

event* _ev;
};

#endif
