#include <thread.h>

class thread {
thread_t t;
public:

static void setconcurrency(int n = 2) { thr_setconcurrency(n); }
static thread_t  join(void* status = 0);

public:
thread() : t(0) { }
virtual int operator()() { return 0; }

virtual int create();
virtual void suspend() { thr_suspend(t); }

virtual void exit(int n = 0 ) { thr_exit((void*) n); }

virtual void error( char* s = "" );

thread_t id() { return t; }
};

void* spawn_thread(void* x) {
thread* h = (thread*) x;
return (void*) h->operator()();
}


void thread::error(char* s) { cerr << "THR: " << s << endl; }

int thread::create() {
if ( thr_create(NULL, 0, spawn_thread, this, 0, &t) ) {
	error("create"); return 0;
	}
else return t;
}

thread_t thread::join(void* status) {
      thread_t t;
      int result = thr_join( (thread_t)0, &t, &status);
      if (result) cerr << "Could not join" << endl;
      return result?0:t;
      }


