include ../../../install.mk

# requires DIR SRC DOC  ( index must be defined in dir ) 

all:; @echo make config install
config:; @echo nothing to config

install:	
	@echo -------- Installing include/$(DIR) ------ in $(DEST)
	@set -x; if [ $(DEST) != $(LOCAL) ]; then \
	  if [ ! -d $(DEST)/include/$(DIR) ]; \
		then mkdir $(DEST)/include/$(DIR); fi; \
	  cp -r *.h $(FILES) $(SUBDIRS) $(DEST)/include/$(DIR); fi;
	@echo ======== Installing include/$(DIR) completed ============

doc: index.html $(DOC)
	@echo -------- Documenting $(DIR)  -- in $(DEST)
	@if [ ! -d $(DEST)/doc ]; then mkdir $(DEST)/doc; fi
	@if [ ! -d $(DEST)/doc/include ]; then mkdir $(DEST)/doc/include; fi
	@if [ ! -d $(DEST)/doc/include/$(DIR) ]; \
	    then mkdir $(DEST)/doc/include/$(DIR); fi
	@cp index.html $(DIR).html
	@cp *.html $(DEST)/doc/include/$(DIR)
	@echo ======== Documenting $(DIR) completed == in $(DEST)

cleandoc: clean

test:
demo:

clean:
	rm -f core *.html
