#ifndef BARGRAPH_H
#define BARGRAPH_H

#include <hush/widget.h>

class bargraph : public widget {
public:
char* type() const ;

bargraph() {}
bargraph(const char* p, const char * options = "");
bargraph(const widget* w, const char* p, const char * options = "");

void text(const char* s);

void from(int n);
void to(int n);

int get() const;
void set(int v);

void interval(int n);

void start();
void stop();

protected:
void install(action* ac, const char* args = "");
};

#endif
