#ifndef MPEG_H
#define MPEG_H

#include <hush/widget.h>

class mpeg : public widget {
public:

  char* type() const;

  mpeg() : widget() {}
  mpeg(const char* p, const char * options = "") : widget(p) {
	if (options) init(options);
	}

  mpeg(const widget* w, const char* p, const char * options = "") : widget(w,p) {
	if (options) init(options);
	}

  ~mpeg() { }
  void file(const char* s) { 
        sprintf(buf,"%s file \"%s\"",path(),s);
        tk->eval(buf);
        }

  void start() {
	sprintf(buf,"%s start",path());
        tk->eval(buf);
        }

  void pause() {
	sprintf(buf,"%s pause",path());
        tk->eval(buf);
        }

  void stop() {
	sprintf(buf,"%s stop",path());
        tk->eval(buf);
        }

  void step() {
	sprintf(buf,"%s step",path());
        tk->eval(buf);
        }

  void rewind() {
	sprintf(buf,"%s rewind",path());
        tk->eval(buf);
        }

  void mpeg_bind(const char* cmd, int framenr) {
	sprintf(buf,"%s bind %s %d", path(), cmd, framenr);
        tk->eval(buf);
        }
};

#endif
