#ifndef FILECHOOSER_H
#define FILECHOOSER_H

#include <hush/widget.h>
#include <system/string.h>

class kit;

class filechooser : public widget {
public:
char* type() { return "filechooser"; }

filechooser() : widget(".exemplar_filechooser") {}

filechooser(char* p, char * options = "", int fl=1) : widget(p) { if(fl) init(20,12,options); }
filechooser(widget* w, char* p, char * options = "", int fl=1) : widget(w,p) { if(fl) init(20,12,options); }


filechooser(widget* w, char* p, int wd, int ht, char * options = "", int fl=1) : widget(w,p) { if(fl) init(wd,ht,options); }

char* get() {
	sprintf(buf,"%s.f.e get",path());
	return tk->evaluate( buf );
	}

void cancel(char* s) {
	sprintf(buf,"%s.f.c configure -command {%s}",path(),s);
	tk->eval( buf );
	}


protected:
void install(action* ac, char* args ="" ) {
	sprintf(buf,"%s.f.b configure -command {%s [%s.f.e get] %s}",path(),ac->name(),path(),args);
	tk->eval( buf );
	}

private:
void init(int w , int h, char* options ) {
	sprintf(buf,"filechooser::mk %s %d %d %s",path(),w,h,options);
	tk->eval( buf );
	sprintf(buf,"bind %s.l.list <Double-Button-1> {foreach i [selection get] {filechoo::browse %s \".\" $i}}",path(),path());
	tk->eval( buf );
	}

// virtual int dispatch( kit* tk , int argc, char** argv );

//private:
//int create(kit* tk , int argc, char** argv);  
//int options(kit* tk, int argc, char** argv );


private:

filechooser* f;

int dispatch( kit* tk , int argc, char** argv ) {
	f = this;
	if ( !strcmp("filechooser",*argv) ) return fcreate(tk, --argc, ++argv);
	argv++; 
	while ( argc-- > 1 ) {
	if ( !strcmp("configure",*argv) ) return options(tk, argc,++argv);
	if ( !strcmp("get",*argv) ) { if(f) f->get(); return 0; }
	else cout << " no such option " << endl;
	argv++;
	}
	return 0;
}

int fcreate(kit* tk , int argc, char** argv) { 
	f = new filechooser(*argv);
	tk->action(*argv,f);
	tk->result(*argv);
	return options(tk,--argc,++argv);
	}

int options(kit* tk, int argc, char** argv ) {
	while ( argc > 1 ) {
	if ( !strcmp("-command",*argv) ) {
		sprintf(buf,"%s.f.b configure -command {%s}",f->path(),*++argv);
		tk->eval( buf );
		}
	else cout << " no such option " << endl;
	argv++; argc--;
	}
	tk->result(f->path());
	return 0;
}

};
#endif
