#ifndef TEXT_H
#define TEXT_H

#include <hush/widget.h>

class text : public widget {

public:
char* type() const;

text() : widget() {}
text(const char *p, const char* options = "");
text(const widget* w, const char *p, const char* options = "");
virtual ~text();

void insert(const char* s);

void insert(int l, int n, const char* s);

void insert(const char* ind, const char* s);

virtual void del(int fromline, int fromcol, int toline, int tocol);
virtual void del(const char* from ="0.0", const char* to ="end");

protected:
void install(action* ac, const char* args );
};

#endif
