#ifndef XYGRAPH_H
#define XYGRAPH_H

#include <hush/widget.h>

class xygraph : public widget {
public:
char* type() const;

xygraph() : widget() {}
xygraph(const char* p, const char* options = "");
xygraph(const widget* w, const char* p, const char* options = "");


void install(action* ac, const char* args = "");

void geometry(int x, int y);

void xycreate(const char* s, const char* options ="");

void del(const char* s);

void domain(float b, float e);

void range(float b, float e);


void insert(const char* s, const char* options = "");

void add(const char* s, const char* x, const char* y, const char* options = "");
void add(const char* s, float x, float y, const char* options = "");


float y(int ex, int ey);

void lineconfigure(const char* line, const char* options="");
private:
char xbuf[10000];
char* X;
char* Y;
};

#endif
