#include <widgets/menubar.h>

char* menubar::type() const { return "menubar"; }

menubar::menubar(const char* p, const char* options) : widget(p) {
	if (options) init(options);
	}

menubar::menubar(const widget* w, const char* p, const char* options) : widget(w,p) {
	if (options) init(options);
	}

widget* menubar::append(const char* w, const char* options) {
	widget::pack(w,options);
	return this;
	}

widget* menubar::append(widget* w, const char* options) {
	widget::pack(w,options);
	return this;
	}

void menubar::init(const char* options) {
	sprintf(buf,"frame %s %s",path(),options);
	tk->eval( buf );
	sprintf(buf,"tk_menuBar %s", path());
	//tk->eval( buf );
	}
