#include <widgets/menubutton.h>
#include <widgets/menu.h>

char* menubutton::type() const { return "menubutton"; }

menubutton::menubutton(const char* p, const char* options) : button(p,0) { 
	if (options) init(options); 
	}

menubutton::menubutton(const widget* w, const char* p, const char* options)
						: button(w,p,0) { 
	if (options) init(options);
	}


void menubutton::menu(const char* s) { 
	sprintf(buf,"%s configure -menu %s",path(),s);
	tk->eval(buf);
	}

void menubutton::menu(class menu* m) { 
	sprintf(buf,"%s configure -menu %s",path(),m->path());
	tk->eval(buf);
	}
