#include <widgets/message.h>


char* message::type() const { return "message"; }

message::message(const char* p, const char* options) : widget(p) {
	if (options) init(options);
	}

message::message(const widget* w, const char* p, const char* options) : widget(w,p) {
	if (options) init(options); 
	}

void message::text(const char* s) { 
	sprintf(buf,"%s configure -text \"%s\"",thepath(),s);
	tk->eval(buf);
	}
