//<html>
//<h2>Implementation: help_handler</h2>
//This file provides an implementation
//for the <a href=cup.h.html>cup</a>.
//</html>

//<html>
//<h4>Includes</h4>
//</html>

#include <hush.h>
#include "help.h"
#include <string.h>

//<html>
//The <b>constructor</b>:
//</html>

help_handler::help_handler(char* s) {
	_name = new char[strlen(s+1)];
	strcpy(_name,s);
	}

//<html>
//The constructor accepts the help file name 
//as a (char*) argument.
//</html>

//<html>
//The <b>operator()</b> function:
//</html>

int help_handler::operator()() {
	toplevel* f = new toplevel(".help");

	hypertext* h = new hypertext(f,".htext");
	h->file(_name);
	h->pack("-expand true");

	button* q = new button(f,".quit","-command { destroy .help }");
	q->text("quit");
	q->pack("-side top -fill x");

	return OK;
	}

//<html>
//<h4>Comments</h4>
//The help_handler creates a toplevel frame,
//and subsequently a hypertext widget and quit button.
//The hypertext widget is filled with the file
//of which the name was stored at creation time.
//</html>
 
//<html>
//<hr><address>se@cs.vu.nl</address>
//</html>

