#ifndef BOX_HANDLER
#define BOX_HANDLER

class box_handler : public handler {
public:

box_handler( canvas* cv ) { c = cv; dragging = 0; }

void press( event& e ) {
	  dragging = 1; x = e.x(); y = e.y();
	  item n = c->rectangle(x,y,x,y); 
	  id = n;
	  }

void motion( event& e ) {  
  if (dragging) {
	id->del();
	item n = c->rectangle(x,y,e.x(),e.y());
	id = n;
	}
  }

void release( event&  ) { dragging = 0; }

protected:
canvas* c; int dragging; item id; int x,y, old_x, old_y;
};

#endif
