#ifndef DRAW_TOOL
#define DRAW_TOOL

#include <hush.h>
#include "tablet.h"
#include <string.h>

void register_as(char* path, widget* w);

class drawtool : public canvas { /// \fbox{drawtool}
public:
drawtool() : canvas() {  } /// (I)
drawtool(const char* p, const char* opts="") : canvas(p,0) {  
	init(opts);
	redirect(c);
	}

int operator()(){ /// (II)
	int argc = _event->argc(); char** argv = _event->argv();
	if (!strcmp("path",argv[1]) ) tk->result(path());
	else if (!strcmp("pack",argv[1]) ) pack( flatten(argc-2,argv+2) );
	else if (!strcmp("self",argv[1]) ) tk->result(self()->path());
	else if ( !strcmp( "drawtool" ,*argv) )  create(--argc,++argv); 
	else self()->eval( quote(--argc,++argv) );
	return OK;
	}

protected:
tablet* c;

void init(const char* options);
void create(int argc, char* argv[]) { /// (III)
	const char* name = *argv;
	new drawtool(name, flatten(--argc,++argv));
	}
};

#endif
