#ifndef EDIT_MENU
#define EDIT_MENU

class edit_menu : public menubutton {

public:
edit_menu(const widget* w, toolbox* t) : b(t), menubutton(w,"edit") { /// (a)

    configure("-relief sunken -text Edit"); pack("-side left"); /// (b)
    this->text("  Edit  ");

    ::menu* m = new ::menu(this,"menu"); /// (c)
    this->menu(m);
    m->bind(t);

    m->entry("move");

    ::menu* mc = new ::menu(m,"cascade");  /// (d)

    mc->bind(t);

    mc->entry("box");
    mc->entry("circle");
    mc->entry("arrow");

    m->cascade("figure",mc); /// (e)
    mc->unpost();
}
protected:
toolbox* b;
};

#endif
