#include "file_chooser.h"

void file_chooser::init(const char* options) {
	e = new entry(this,".entry","-relief sunken");

	frame* f = new frame(this,".list");
	l = new listbox(f,".box", options);
	l->geometry(12,5);
	scrollbar* s = new scrollbar(f,".scroll");
	s->yview(l); l->yscroll(s);
	l->pack("-side left");
	s->pack("-side right -fill y");

//	redirect(l);
        l->bind( this, "select" );  /// is redirected to the listbox

	frame* g = new frame(this,"frame");
	b = new button(g,".ok");
	b->text("        OK         "); b->bind(this,"OK");
	c = new button(g,".cancel");
	c->text("  CANCEL  "); c->bind(this,"CANCEL");
	c->pack("-side left"); b->pack("-side left -fill x -fill y");

        tk->pack(e,"-padx 5 -pady 10")->pack(f)->pack(g);
	list();
	}

void file_chooser::list() {
	sprintf(buf,"foreach i [glob *.tcl] { %s insert end $i }", l->path() );
	//sprintf(buf,"foreach i [exec \"ls *.tcl -a\"] { %s insert end $i }", l->path() );
	tk->eval( buf );
	}
