#ifndef FILE_HANDLER
#define FILE_HANDLER

#include "file_chooser.h"

class file_handler : public handler {
public:
file_handler( canvas* x ) : c(x) {}
int operator()() {
	int argc = _event->argc(); char** argv = _event->argv();
	if (!strcmp("Open", argv[1])) launch("OPEN");
	else if (!strcmp("Save", argv[1])) launch("SAVE");
	else if (!strcmp("OPEN", argv[1])) open();
	else if (!strcmp("SAVE", argv[1])) save();
	return OK;
	}
protected:
canvas* c;
file_chooser* f;

void launch(const char* args) { f = new file_chooser(); f->bind(this,args); }
void open() { tk->source( f->get() ); f->destroy(); }
void save() { c->postscript( f->get() ); f->destroy(); }
};

#endif
