#ifndef MENU_BAR
#define MENU_BAR

#include "file_menu.h"
#include "edit_menu.h"
#include "help_button.h"


class menu_bar : public menubar { /// \fbox{menu\_bar}

public:
menu_bar(const widget* w, tablet* t, toolbox* b) : menubar(w,"bar") { 
    configure("-relief sunken"); 

    menubutton* b1 = new file_menu(this,t); 
    menubutton* b2 = new edit_menu(this,b);
    button* b3 = new help_button(this); 
    }
};

#endif
