#ifndef TABLET_H
#define TABLET_H

#include <hush.h>

class drawmode { /// \fbox{drawmode}
public: enum { draw, move, box, circle, arrow, lastmode };
};

class tablet : public canvas { /// \fbox{tablet}
public:

tablet(const widget* w, const char* options="");  
int operator()() { /// \fbox{$operator()$}
	//cerr << "DISPATCH: " << _mode << endl;
	handlers[_mode]->dispatch(_event);
	return OK;
	}

int mode() const { return 0; } // to avoid a warning
int mode(int i) { return 0; } /// DUMMY 
int mode(const char* m); 

protected:
void init(const char* options);
int _mode; 
class handler* handlers[drawmode::lastmode];
canvas* c; 
};

#endif
