#include "hush.h"

class canvas_handler : public handler {
public:

canvas_handler( canvas* cv ) { c = cv; moving = 0; }

void press( event& e ) {
	  moving = 1; x = e.x(); y = e.y();
	  id = c->rectangle(x,y,x,y); 
	  }

void motion( event& e ) {  /// must be improved
  if (moving) {
	sprintf(buf,"%s coords %d %d %d %d %d", 
		c->path(), (int) id, x, y, e.x(), e.y());
	tk->eval( buf );
	}
  }

void release( event&  ) { moving = 0; }

protected:
canvas* c; int moving; item id; int x,y;
char buf[BUFSIZ];
};


class application : public session {
public:
application(int argc, char** argv) : session(argc,argv,"canvas") {}

int main() {
 
    tk->trace();

    canvas* c = new canvas(".canvas");
    c->bind(new canvas_handler(c));

    tk->pack(c);
    tk->pack(".quit");
    return OK;
    }
};

int main (int  argc, char  **argv) {
    session* s = new application(argc,argv);
    return s->run();
}
