#include <hush.h>
#include <dv/tcl/event.h>

#include <string.h>

class application_handler : public handler {
int n;
public:
	application_handler() { mode("explicit");  n = 0; }
	int handle_tcl_event(tcl_event*);

	void red() { cout << " red " << n++; }
	void blue() { cout << " blue " << n++; }
	void green() { cout << " green " << n++; }
};


int application_handler::handle_tcl_event( tcl_event* ev) {
        
	tcl_event& e = *ev;

	cerr << e.eventclass() <<  endl;
	int argc = e.argc(); char** argv = e.argv();

        argv++;
	while ( argc-- > 1 )  {
		if ( strcmp("red",*argv) == 0 ) red();
		else if ( strcmp("blue",*argv) == 0 ) blue();
		else if ( strcmp("green",*argv) == 0 ) green();
		else cout << " no such color" << endl;
		argv++;
		}
        cout << endl;
	return OK;
}

class application : public session {
public:                                      // 0 -> dont map window
application(int argc, char** argv) : session(argc,argv,0) {}
                                                   // ^^^
int main() {
application_handler app;
tk->bind("do-something",&app);
tk->eval("do-something red green orange blue");
tk->quit();
return OK;
}

};

int main (int  argc, char  **argv) {
    session* s = new application(argc,argv); 
    return s->run();
}
