#include <hush.h>
#include <widgets/canvas.h>
#include <widgets/button.h>

#include <hush/assert.h>


class C : public canvas {
public:
C(widget* r, char* name, char* options="") : canvas(r,name,options) {
        geometry(200,100);
	dragging = 0;
	bind(this);
}

void press( event& ) { dragging = 1; }

void motion( event& e) { /// (b)
	if (dragging) circle(e.x(),e.y(),2,"-fill black");
}

void release( event&  ) { dragging = 0; }

private:
int dragging; 
};


/// nothing changes below this line

class application : public session {
public:
application(int argc, char* argv[], char* s = "draw") : session(argc,argv,s) {}
int main( ) {
    tk->trace();
    widget* r = tk->root();

    canvas* w = new C(r,"example"); /// lower case pathnames only !!
    w->pack();

    tk->pack(".quit");
    return 0; // = OK
    }

int body(int fl) {
	cerr << "body " << fl;
	return 1;
	}
};

int main(int argc, char* argv[]) {
session* s = new application(argc,argv);
s->run();
return 0;
}
