//<html>
//<h3>Program -- text</h3>
//</html>

#include "hush.h"

class text_handler : public handler {
public:
text_handler(text* t) : _text(t) {}
int operator()() {
	 int argc = _event->argc();
	 char** argv = _event->argv();
	 argv++;
	 while ( argc-- > 1 ) {
	 	cout << _text->path() << "::item: " << *argv++ << endl;
	 	}
	 return OK;
	 }
private:
text* _text;
};


//// The application class:

class application : public session {
public:
application(int argc, char** argv) : session(argc,argv,"text") {}

int main() {

    tk->trace();

    text* t = new text(".text");
    t->bind(new text_handler(t));

    t->insert("A new sentence starts.");
    t->insert("And another is inserted.");

    t->pack();

    tk->pack(".quit");
    return OK;
    }
};


//// The main function:

int main (int  argc, char  **argv) {
    session* s = new application(argc,argv);
    return s->run();
}
