include ../../../../install.mk

all:; @echo make config install
config:; @echo nothing to config

install:	
	@echo -------- Installing include/$(DIR) ------ in $(DEST)
	@set -x; if [ ! -d $(DEST)/include/$(DIR) ]; \
		then mkdir $(DEST)/include/$(DIR); fi
	cp -r $(SRC) $(FILES) $(DEST)/include/$(DIR)
	@echo ======== Installing include/$(DIR) completed ============
test:

doc: $(DOC)
	@echo -------- Documenting $(DIR)  -- in $(DEST)
	@if [ ! -d $(DEST)/doc ]; then mkdir $(DEST)/doc; fi
	@if [ ! -d $(DEST)/doc/include ]; then mkdir $(DEST)/doc/include; fi
	@if [ ! -d $(DEST)/doc/include/$(DIR) ]; \
	    then mkdir $(DEST)/doc/include/$(DIR); fi
	@if [ -f index.html ]; then cp index.html $(DIR).html; fi;
	@cp *.html $(DEST)/doc/include/$(DIR)
	@echo ======== Documenting $(DIR) completed == in $(DEST)


clean:
	rm -f core *.a *.o out *.out lib*.so.*  *.html
	rm -f -r ptrepository
