## Widgets examples make file

# If TARGETNAME is defined only that target will be build, otherwise all widgets examples will be build
!ifndef TARGETNAME
all: all_widgets
!else
all: one_widget
!endif

# Target platform
WIN32=1

# Global definitions
!include ..\resource.mak

# Main target: build all examples
all_widgets : 
    build button
    build canvas
    build checkbut
    build dialog
    build doubleli
    build entry
    build filechoo
    build help
    build hypertex
    build interact
    build keys
    build listbox
    build menu
    build menubar
    build menubutt
    build message
    build numbers
    build radiobut
    build scale
    build scrollba
    build text

# How to build just one example:
one_widget: $(CONFIG) $(TARGETNAME).exe 

# How to do cleanup
clean: $(RM)
    $(RM) *.exe
    $(RM) *.obj
    $(RM) *.cfg
    $(RM) *.out
    del $(RM)

cleanconfig: $(RM)
    $(RM) *.cfg

# Compiling and linking flags:
$(CONFIG):
    copy &&|
-n$(OBJDIR) -I$(INCLUDES)
-D$(DEFINES) 
$(CCFLAGS) 
| $(CONFIG) > nul

# If TARGETNAME has been defined, this will tell how to build the executable.

!ifdef TARGETNAME

$(TARGETNAME).exe: $(TARGETNAME).obj
    $(LINK) @&&|
$(LNFLAGS) $(TARGETNAME).obj 
$@
-x
$(LNLIBS)
|, &&|
EXETYPE WINDOWS
CODE PRELOAD MOVEABLE DISCARDABLE
DATA PRELOAD MOVEABLE MULTIPLE
|,  $(LIBDIR)\hush.res

!endif

#Implicit rules:
.c.obj:
    $(CC) { $< }

