## ASCII version makefile for Simulation Library

# This makefile will build the ascii version of the SIM library. It will set the target platform to DOS16, set the name of the building directory, resulting library and configuration file.
##
# main target
ascii-all : all

# target platform
DOS16=1

# set the global macros
!include resource.mak	


#set some switches for sim.mak

OBJDIR = objascii
SIMLIB = $(LIBDIR)\asciisim.lib
CONFIG = asciiconfig

# now include sim.mak, which will create the requested library, using the specified directory for it's object files.
!include sim.mak	
