## GUI version makefile for Simulation Library

# This makefile will build the gui version of the SIM library. It will set the target platform to WIN32, set the name of the building directory, resulting library and configuration file.
##
# main target
guisim-all : all

# target platform
WIN32 = 1

# set the global macros
!include resource.mak	

# set some switches for sim.mak
OBJDIR = objascii
SIMLIB = $(LIBDIR)\asciisim.lib
OBJDIR = objgui
SIMLIB = $(LIBDIR)\guisim.lib
CONFIG = config

# now include sim.mak, which will create the requested library, using the specified directory for it's object files.
!include sim.mak		
