# The root hush directory is known by including install.mk

include ../../../install.mk

LOCAL = ../../

all: install

NAME=xxx
LIB=lib$(NAME)

H_SRC : sh = ls *.h
C_SRC : sh = ls *.c
DOC = index.html ${H_SRC:.h=.h.html} ${C_SRC:.c=.c.html}

CFLAGS += -g  -DHUSH_LIBRARY="\"$(HUSH)/lib/hush\"" \
	  -DTCL_LIBRARY="\"$(TCL_LIBRARY)\"" \
	  -DTK_LIBRARY="\"$(TK_LIBRARY)\"" 
