#include <hush/config.h>

#include <dv/tcl/x.h>
#include <dv/tcl/kit.h>
#include <dv/tcl/session.h>

#include <hush/assert.h>
#include <string.h>

// Initialize standard widgets.

#include <dv/tk/tkhtext.h>
void init_widgets() {
	init_ht( thekit() ); // needs mapped root window
}

session* a_new_session(const char* mode, int argc, char* argv[], const char* name,int fl) {
	session* s = 0;
	if (!strcmp("tcl",mode))
	 s = new tcl_session(argc,argv,name,fl);
	promise ( s );
	return s;
	}

kit* a_new_kit( const char* mode) {
        kit* tk = 0;
	if (!strcmp("tcl",mode))
		tk = new tcl_kit();
	promise( tk );
	return tk;
	}


typedef event*  simevent_funtype(int, int, int );
static simevent_funtype* _simevent = 0;

void set_simevent_fun(void* f) {
	 _simevent = (simevent_funtype*) f;
	 }

event* a_simulation_event(int q, int i, int p) {
         return ::_simevent?_simevent(q,i,p):0;
}
