#include <widgets/mpeg.h>


char* mpeg::type() const { return "mpeg"; }

mpeg::mpeg(const char* p, const char* options) : widget(p) {
	if (options) init(options); 
	}

mpeg::mpeg(const widget* w, const char* p, const char* options) : widget(w,p) { 
	if (options) init(options);
	}

void mpeg::file(const char* s) { 
        sprintf(buf,"%s file \"%s\"",path(),s);
        tk->eval(buf);
        }

void mpeg::start() {
	sprintf(buf,"%s start",path());
        tk->eval(buf);
        }

void mpeg::pause() {
	sprintf(buf,"%s pause",path());
        tk->eval(buf);
        }

void mpeg::stop() {
	sprintf(buf,"%s stop",path());
        tk->eval(buf);
        }

void mpeg::mpeg_bind(const char* address, const char* cmd, int framenr) {
	sprintf(buf,"%s bind %s %s %d",path(), address, cmd, framenr);
        tk->eval(buf);
        }
