#ifndef __EV_TCL_H
#define __EV_TCL_H

#include <hush/system.h>

class tcl_event : public system_event {
public:
	tcl_event(const event* e) : system_event(e) { }
	~tcl_event() { }

	int eventclass() const { return event::tcl; }
	char* info() const { return "tcl_event"; }

	int argc() const { return check()?_ev->argc():0; }
	char* arg(int i = 0 ) const { return check()?_ev->arg(i):0; }
	char** argv(int i = 0) const { return check()?_ev->argv(i):0; }
};

#endif
