#ifndef __EV_FILE_H
#define __EV_FILE_H

#include <hush/system.h>

class file_event : public system_event {
public:
	file_event(const event* e) : system_event(e) { }
	~file_event() { }

	int eventclass() const { return event::file; }
	char* info() const { return "file_event"; }

	int fd() { return check()?_ev->fd():-1; }
	int mask() { return check()?_ev->mask():0; }

	int argc() const { return check()?_ev->argc():0; }
	char* arg(int i = 0 ) const { return check()?_ev->arg(i):0; }
	char** argv(int i = 0) const { return check()?_ev->argv(i):0; }
};

#endif
