#ifndef _T_X_H
#define _T_X_H

#include <hush/event.h>

extern void* get_last_x_event();

class xevent : public event {
friend class kit;
public:

xevent(void* p);
xevent(class kit* _tk, int _argc, char* _argv[]);

virtual ~xevent();

char* info() const;
event* get() const;

int eventclass() const ;

int type() const ;
char* name() const ;
void trace() const ;

int argc() const;
char* arg(int i = 0 ) const;
char** argv(int i = 0) const;

void* callback();

int x() const ;
int y() const ;

int x_root() const ;
int y_root() const ;

int button(int i = 0) const ;
int buttonup(int i = 0) const ;

int keycode() const ;

int buttonevent(int i = 0) const ;

int keyevent() const ;
int motion() const ;

void motion(event& ) { } /// to silence the compiler

void* rawevent(); /// see ^^ { return (void*) XEvent(); }

private:
int buttevent() const ;
int buttno() const ;
void* last;
void* cb;
class kit* __tk;
int __argc;
char** __argv;
};

#endif
