#ifndef _C_ITEM_H
#define _C_ITEM_H

#include <hush/item.h>

class canvas;
class action;

class c_item : public item {
int n;
protected:
canvas* c;
public:
c_item();
c_item(int i, canvas* x);
c_item(int i, const char* x); /// pathname for canvas, sneaky
~c_item();

int no() const;
char* id() const ;

void tag(const char* s);
char* tags() const ;

void configure(const char* s);
void move(int x, int y);
void del();

bind(const char* s, const char* cmd, const char* args = "");
bind(const char* s, class handler* h, const char* args = "" );
bind(const char* s, void* f, void* c = 0, const char* args = "" );
bind(const char* s, action* a, const char* args = "" );

//bind(const char* cmd, const char* args = "");
bind(class handler* h, const char* args = "" );
bind(void* f, void* c = 0, const char* args = "" );
bind(action* ac, const char* args = "" );

direct(const char*s, action* ac, const char* args);

#ifndef NOHANDLER
void handler( action* ac, const char* args = "" );
void handler(const char* cmd, const char* args = "");
void handler(void* proc, void* data = 0, const char* args = "" );
void handler(class handler* h, const char* args = "" );
#endif

//class canvas* canvas() { return c; } /// voorlopig


protected:
void install(action* ac, const char* args = "");
kit* tk;
};

#endif
