#ifndef PYTHON_H
#define PYTHON_H

#include <string.h>

extern "C" int initall();
extern "C" int run_command(char*);
extern "C" int run_script(FILE*,char*);

extern "C" int setpythonargv(int,char**);
extern "C" goaway(int);

extern  int run_eval(char*);
extern char* last_string_value();

static int argc=1;
static char* argv[] = { "hush" };

static int python_count = 0;
static char* python_result = 0;


class python : public handler {
public:
python(int argc, char** argv) {
  if (::python_count++ <= 0) {
  initall();
  setpythonargv(argc, argv);
  tk->action("python",this);
  }
}
virtual ~python() { }

int eval(char* s) {
//cerr << "EVAL: " << s << endl;
sprintf(buf,"%s\n",s);
run_eval( buf ); 
python_result = result();
tk->result( python_result );
return 0;
}

char* result() {
return last_string_value();
}

int source(char* s) {
//cerr << "SOURCE: " << s << endl;
FILE *fp = fopen(s,"r");
if (fp) run_script(fp,s);
return 0;
}

int operator()() {
//cerr << "PYTHON():" << flatten(argc,argv) << endl;
if (!strcmp("source",argv[1]))
	this->source( flatten( argc-2, argv+2 ) );
else if (!strcmp("eval",argv[1])) 
	this->eval( flatten( argc-2, argv+2 ) );
else
	this->eval( flatten( argc-1, argv+1 ) );
return OK;
}

private:
char buf[BUFSIZ];
};

//inline void init_python(kit* tk) {
//python* py = new python(argc,argv);
//}

#define init_python(tk) python* py = new python(argc,argv)  

#endif
