#ifndef BARCHART_H
#define BARCHART_H

#include <hush/widget.h>

class barchart : public widget {
public:
char* type() const;

barchart() {}
barchart(const char* p, const char* options = "");
barchart(const widget* w, const char* p, const char* options = "");


void insert(const char* s, float y = 0, const char* options = "");
char* bar(int x, int y);
float y(int ex, int ey);
void ydata(const char* bar, float f);

void barconfigure(const char* s, const char* options="");

protected:
void install(action* ac, const char* args = "");
};

#endif
