#ifndef _HUSH_HYPERTEXT_H_
#define _HUSH_HYPERTEXT_H_

#include <hush/widget.h>

class hypertext : public widget {
  public:
    hypertext();
    hypertext(const char* p, const char* options = "");
    hypertext(const widget* w, const char* p, const char* options = "");
    virtual ~hypertext();

    virtual char* type() const;
    
    virtual void file(const char* f);
    virtual void geometry(int x, int y);
    virtual void configure(const char* s);
    
    virtual int operator()();
    
  private:
    void init(const char* options);
    void create(int, char**);
};

#endif
