#include <hush/hush.h>
#include <widgets/frame.h>

char* frame::type() const { return "frame"; }

frame::frame(const char* p, const char * options) : widget(p) {
	if(options) init(options); 
	}

frame::frame(const widget* w, const char* p, const char * options) : widget(w,p) {
	if(options) init(options);
	}


frame* frame::left(widget* w, const char* options) {
	sprintf(buf,"pack append %s %s %s",path(), w->path(), options);
	tk->eval(buf);
	return this;
	}

frame* frame::right(widget* w, const char* options) {
	sprintf(buf,"pack append %s %s %s",path(), w->path(), options);
	tk->eval(buf);
	return this;
	}

void frame::place(const char* options) {
	sprintf(buf,"place %s %s",path(), options);
	tk->eval(buf);
	}
