<document{article}>
<h1>Coffee -- the source code</h1>

According to some (eg. Knuth) <em>literate programming</em>
improves the maintainability of a program.
Basically, <em>literate programming</em>
amounts to merging program code with
explanatory text.
In the extreme, this may result in programs
that may be read as an article.


<control>
See <a href=tags.html>Tags</a>

<h4>The library:</h4>
<ul>
<li> <a href=coffee.h.html> coffee.h </a>
<li> <a href=cup.h.html> cup.h </a>
<li> <a href=menu.h.html> menu.h </a>
<li> <a href=help.h.html> help.h </a>
<li> <a href=gui.h.html> gui.h </a>
</ul>

<h4>The main program:</h4>
<ul>
<li> <a href=main.c.html> main.c </a>
</ul>

<h4>Configuration</h4>
<ul>
<li> <a href=Makefile.html>Makefile</a>
and <a href=resource.mk.html>resource.mk</a>
</ul>
</control>

<!-- %%to include all the .html files -->
<so coffee.h cup.h menu.h help.h gui.h>
<so main.c>
<so Makefile resource.mk>


<hr>
<h4>Disclaimer</h4>
The example gives only an indication of what adopting
a <em>literate programming</em> style may result in.
The ctags program for example does not work properly.
Additional tools need to be developed to remedy the
deficiencies of this example.
<hr>
<address>A. Eli&euml;ns (eliens@cs.vu.nl</address>
</document>
