//<html>
//<h4>The cup class</h4>
//Instances of <a href=../doc/design.html#cup>cup</a> are meant to be filled with coffee. 
//</html>

//<html>
//<h4>Includes</h4>
//</html>

#include <hush/kit.h>
#include <widgets/canvas.h>

//<html>
//<h4>Interface</h4>
//</html>

class cup {
public:

cup(kit*, canvas*);

void fill();

private:
void fillup(int,int,char* s);
kit* tk;
canvas* cnv;
};

//<html>
//<h4>Description</h4>
//The constructor of the cup is given a pointer
//to the kit and a pointer to a canvas, in order to
//visualize the brew.
//In addition to the fill function
//a function fillup is provided, to determine
//the location and color of the coffee.
//</html>

//<html>
//<h4>See also</h4>
//<a href=cup.c.html>cup.c</a>,
//<a href=gui.c.html>gui.c</a>
//<hr><address>se@cs.vu.nl</address>
//</html>
