//<html>
//<h2>The help_handler class</h2>
//The <a href=../doc/design.html#help_handler>help_handler</a> 
//offers the user help when needed.
//</html>

//<html>
//<h4>Includes</h4>
//</html>


#include <hush/handler.h>

//<html>
//<h4>Interface</h4>
//</html>

class help_handler : public handler {
public:
help_handler(char* s);
int operator()();

private:
char* _name;
};

//<html>
//<h4>Description</h4>
//The name of the help file is stored when creating
//the help_handler.
//However, the file will be displayed
//only when the handler is actually invoked,
//</html>


//<html>
//<h4>See also</h4>
//<a href=help.c.html>help.c</a>
//<hr><address>se@cs.vu.nl</address>
//</html>
