//<html>
//<h2>The menu_handler class</h2>
//The <a href=../doc/design.html#menu_handler>menu_handler</a>
//defines the entries of the menu.
//</html>

//<html>
//<h4>Includes</h4>
//</html>

#include <hush/handler.h>
#include <widgets/canvas.h>

//<html>
//<h4>Interface</h4>
//</html>


class menu_handler : public handler {
public:
menu_handler(canvas* c) : cnv(c) {}
int operator()();

private:
canvas* cnv;
};

//<html>
//<h4>Description</h4>
//The menu_handler also needs a canvas,
//in order to provide a cup of coffee
//when asked for a refill.
//</html>

//<html>
//<h4>See also</h4>
//<a href=menu.c.html>menu.c</a>
//<hr><address>se@cs.vu.nl</address>
//</html>
