#include <hush.h>
#include <extern/graph.h>

class barchart_handler : public handler {
public:

barchart_handler( barchart* _b ) { b = _b; moving = 0; }

void press( event& e) {
		moving = 1;
		strcpy(bar, b->bar(e.x(),e.y()) );
		cout << "starting to move " << bar << endl;
	}

void motion( event& e ) {
	if (moving) {
		newy = b->y(e.x(),e.y());
		b->ydata(bar,newy);
		}
	}

void release( event& ) { moving = 0; }

protected:
char bar[BUFSIZ];
barchart* b;
int moving;
float newy;
};


class application : public session {
public:
application(int argc, char* argv[]) : session(argc,argv,"barchart") {

int main() {

    tk->notrace();
    init_graph(tk);

    barchart* b = new barchart(".chart");
    b->bind(new barchart_handler(b));

    b->insert("sales",5);
    b->insert("provision",8);
    b->insert("balance",4);

    tk->pack(b);
    tk->pack(".quit");
    return OK;
}
};

	
int main(int argc, char* argv[]) {
session* s = new application(argc,argv);
return s->run();
}


