#include <hush.h>
#include "tablet.h"
#include "drawtool.h"
#include "toolbox.h"
#include "menu_bar.h"



void drawtool::init(const char* options) {

    widget* root = new frame(path(),"-class Drawtool");
    
    frame* f = new frame(root,".frame");

    c = new tablet(f,options);
    redirect(c); /// (b)

    toolbox* b = new toolbox(f,c);
    menubar* m = new menu_bar(root,c,b);

    b->pack("-side left");
    c->pack("-side right");

    tk->pack(m)->pack(f);

    alias( this );

   }
