#ifndef FILE_CHOOSER
#define FILE_CHOOSER

#include <hush.h>
#include <string.h>

class file_chooser : public toplevel {
public:
char* type() const { return "file_chooser"; }

//file_chooser() : toplevel() {}

file_chooser(const char * options = "") : toplevel(handler::gensym("filechooser")) { if(options) init(options); }

char* get() { return e->get(); }

int operator()() {
	int argc = _event->argc(); char** argv = _event->argv();
	if (!strcmp(argv[1],"get")) tk->result(e->get());
	else if (!strcmp(argv[1],"select")) update();
	return OK;
	}

protected:
void list();
button* b; button* c;
entry* e; listbox* l;
void init(const char* options);

void update() { e->insert( tk->selection() ); }

void install(action* ac, const char* args) { 
	b->bind(ac,args);
	c->bind(ac,args);
	}
};

#endif
