#ifndef FILE_MENU
#define FILE_MENU

#include "file_handler.h"

class file_menu : public menubutton { /// \fbox{file\_menu}

public:
file_menu(const widget* w, tablet* t) : c(t), menubutton(w,"file") { /// (a)

    configure("-relief sunken");
    this->text("  File  ");
    pack("-side left"); 
    f = new file_handler(c); /// (b)

    ::menu* m = new ::menu(this,"menu"); /// (c)
    this->menu(m);  /// declares it for the menubutton
    m->bind(this); /// (d)

    m->entry("Open");
    m->entry("Save");
    m->entry("Quit");
    }

int operator()() { /// (e)
	event& e = *_event;
	if (!strcmp(e.arg(1),"Quit")) tk->quit();
	else f->dispatch(_event);
	return OK;
	}
protected:
tablet* c;
file_handler* f;
};

#endif
