#ifndef TOOL_BUTTON
#define TOOL_BUTTON

class toolbutton : public button { /// \fbox{toolbutton}
public:
toolbutton(const widget* w, const char* name) : button(w,name) { /// (a)
	this->text(name); bind((widget*)w, name); pack(); /// (b)
	}
};
	
class toolbox : public frame { /// \fbox{toolbox}
public:
toolbox(const widget* w, tablet* t) : c(t), frame(w,"toolbox") { /// (c)
    button* b0 = new toolbutton(this,"draw");
    button* b1 = new toolbutton(this,"move");
    button* b2 = new toolbutton(this,"box");
    button* b3 = new toolbutton(this,"circle");
    button* b4 = new toolbutton(this,"arrow");
}

int operator()() {
	cerr << "MODE: " << flatten( _event->argc(), _event->argv() ) << endl;
	c->mode(_event->arg(1)); return OK;
	}

private:
tablet* c;
};

#endif
