#include "hush.h"

class oval : public item {
public:

oval( canvas* cv ) : c(cv) {

    it[0] = c->circle(40,40,30,"-fill yellow");
    it[1] = c->text(40,40,"TEXT","-fill black");

    moving = 0;

    for ( int i = 0; i <= 1 ; i++ ) {
	it[i]->tag("oval");
    	it[i]->bind(this);
        }

    }

void press( event& e) {
	x = e.x(); y = e.y();
	id = c->overlapping(x, y, "first");
	if (id) moving = 1;
	}

void motion( event& e ) {
	if (moving) {
		c->move("oval", e.x() - x, e.y() - y );
		x = e.x(); y = e.y();
		}
	}

void release( event& ) { moving = 0; }

protected:
canvas* c;
int x,y;
int moving;
item id;
item it[12];
};


class application : public session {
public:
application(int argc, char** argv) : session(argc,argv,"oval") {}

int main() {
 
    tk->trace();

    canvas* c = new canvas(".canvas");
    c->geometry(500,500);
    item* x = new oval(c);

    tk->pack(c);
    tk->pack(".quit");

    return OK;
}
};

int main (int  argc, char  **argv) {
    session* s = new application(argc,argv);
    return s->run();
}
