//// Multiple kits -- kit.c
// <hr> See <hush/kit.h>, issues(4), papers/patterns </hr>

#include <hush/hush.h> /// [1]
#include <iostream.h>


class my_kit : public kit {
public:
int eval(const char* s) {
	cout << "No, I will not eval " << s << endl;
	return OK;
	}
};

class application : public session {  /// [3]
public:
application( int argc, char* argv[] ) : session(argc,argv,0) {
tk = new my_kit();
}

void prelude() {
char buf[BUFSIZ];
    tk->trace();
    tk->eval("set x oke");
    sprintf(buf,"puts $x"); // do not evaluate $ directly !!
    tk->eval( buf );
    // tk->eval("puts $x"); // gives a core dump
    }

};

int main (int  argc, char* argv[]) { /// [4]
    session* s = new application(argc,argv);
    return s->run();
}

