//// A button example -- button.c
#include <hush.h>

class new_button : public button {
public:
new_button(widget* r, char* name, char* options="") : button(r,name,options) {
this->text("hello"); /// needed for desambiguation with class text
bind(this); /// the g++ variant for handler
}

int operator()() {
	char* s = _event->arg(1);
	cout << "button pressed: " << path() << " " << s << endl;
	tk->quit();
	return OK;
	}
};


/// nothing changes below this line

class application : public session {
public:
application(int argc, char* argv[]) : session(argc,argv) {}
int main( ) {
    tk->trace();
    widget* r = tk->root();

    button* b = new new_button(r,"example"); /// lower case pathnames only !!
    b->pack();

    tk->pack(".quit");
    return OK;
    }
};

int main(int argc, char* argv[]) {
session* s = new application(argc,argv);
s->run();
return 0;
}
