//<html>
//<h3>Program -- checkbutton</h3>
//</html>

#include "hush.h"

//// button_handler:

class button_handler : public handler {
public:
button_handler();

int operator()() {
	int argc = _event->argc(); char** argv = _event->argv();
	while ( argc-- >  0 ) {
		cout << *argv++ << " ";
		}
	cout << endl;
	return OK;
	}

};


button_handler::button_handler() {
    tk->trace();
    widget* r = tk->root();

    checkbutton* b1 = new checkbutton(r,".b1");
    b1->text("toggle");
    b1->variable("X");
    b1->bind(this,"first");
    b1->pack();

    checkbutton* b2 = new checkbutton(r,".b2","-bg lightblue");
    b2->text("same variavble");
    b2->variable("X");
    b2->bind(this,"second");
    b2->pack();

    checkbutton* b3 = new checkbutton(r,".b3","-bg lightblue");
    b3->bitmap("bitmaps/queen.bm");
    b3->variable("Y");
    b3->bind(this,"third");
    b3->pack();

    tk->pack(".quit");
}

//// The application class:

class application : public session {
public:
application(int argc, char* argv[]) : session(argc,argv,"check") {}
int main() {
	handler* h = new button_handler();
	return OK;
	}
};

//// The main function:

int main(int argc, char* argv[]) {
session* s = new application(argc,argv);
return s->run();
}

