//<html>
//<h3>Program -- filechooser</h3>
//</html>

#include "hush.h"
#include <extern/filechooser.h>

class file_handler : public filechooser {
public:
file_handler(const char* p, const char* options ="") :
		         	filechooser(p,options) {
		bind(this); 
		}
file_handler(const widget* w, const char* p, const char* options = "") :
				     filechooser(w,p,options) {
		bind(this);
 	        }

int operator()() {
	 int argc = _event->argc();
	 char** argv = _event->argv();
	 argv++;
	 while ( argc-- > 1 ) {
	 	cout << "file " << *argv++ << endl;
	 	}
	 return OK;
	 }
private:
filechooser* _f;
};

//// The application class:

class application : public session {
public:
application(int argc, char** argv) : session(argc,argv,"filechooser") {}

int main() {

    tk->trace();
    init_filechooser(tk);

    filechooser* f = new file_handler(".filelist");

    f->pack();
    tk->pack(".quit");
    return OK;
    }
};

//// The main function:

int main (int  argc, char  **argv) {
    session* s = new application(argc,argv);
    return s->run();
}
