//<html>
//<h3>Program -- help_handler</h3>
//</html>

#include "hush.h"
#include <extern/ht.h>

class help_handler : public handler {
public:
int operator()() {
    toplevel* t = new toplevel(gensym());
    hypertext* h = new hypertext(t,".help");
    h->file("help.ht");
    h->geometry(300,120);
    t->pack(h);
    return OK;
    }
};


//// The application class:

class application : public session {
public:
application(int argc, char** argv) : session(argc,argv,"help") {}

int main() {
    init_ht(tk);
    tk->trace();
    ::button* b = new ::button(".b");
    b->text("help");
    b->bind(new help_handler());
    b->pack();
    return OK;
    }
};


//// The main function:

int main (int  argc, char  **argv) {
session* s = new application(argc,argv);
return s->run();
}

//<html> <hr>
//See also: <a href=hypertext.c.html>hypertext.c</a>
//</html>
