//<html>
//<h3>Program -- menu</h3>
//</html>

#include "hush.h"
#include <string.h>

class menu_handler : public handler {
public:

menu_handler(menu* m) : _m(m) {}

int operator()() {
	 int argc = _event->argc();
	 char **argv = _event->argv(); 
	 int n = _m->active();
	 cout << "entry " << n <<  endl;
	 if ( argc > 0 && !strcmp(argv[1],"quit")) {
		tk->quit();
		if (argc > 2) cout << argv[2] << endl;
		}
	 return OK;
	 }
private:
menu* _m;
};

//// The application class:

class application : public session {
public:
application(int argc, char** argv) : session(argc,argv,"menu") {}
int main() {
    tk->trace();

    menu* m = new menu(".m");  

    handler* h = new menu_handler(m);

    m->bind(h);

    m->entry("zero");
    m->entry("one");
    m->entry("two");
    m->entry("quit"," ...... ");

    m->post(200,200);

    tk->pack(".quit");
    return OK;
    }
};


//// The main function:

int main (int  argc, char  **argv) {
    session* s = new application(argc,argv);
    return s->run();
}
