#include <hush.h>

class scale_handler : public handler {
public:
scale_handler(scale* s) : _scale(s) {}
int operator()() {
	 int argc = _event->argc();
	 char** argv = _event->argv();
	 cout << _scale->type() << ":: " << _scale->path();
	 cout << " = " << _scale->get() << " " << argv[1] << endl;
	 return OK;
	 }
private:
scale* _scale;
};

class application : public session {
public:
application(int argc, char** argv) : session(argc,argv,"scale") {}
int main() {

    widget* r = tk->root();

    scale* s = new scale(r,".s");
    s->text("scale");
    s->to(200);

    handler* h = new scale_handler(s);
    s->bind(h,"HANDLER1");

    s->pack();

    tk->pack(".quit");
    return OK;
}

};


int main (int  argc, char  **argv) {
    session* s = new application(argc,argv);
    return s->run();
}
